/* Banner principal */

.general-servicio-center-content {
  padding: 2rem;
  margin-top: 0%;
}

.general-servicio-center-content img {
  width: 45%;
  height: 45%;
}

.general-servicio-right-svg {
  transform: translateY(-50%);
}

/* Info */

.info-section-service-edi {
  padding: 4rem 0;
  background-color: var(--scanned-light-gray-color-bg);
  height: 28.125rem;
}

.info-edi-left-side {
  display: flex;
  align-items: center;
  padding-left: 3rem;
}

.info-edi-right-side {
  padding: rem 0;
  padding-left: 3rem;
}

.info-edi-left-content {
  width: 80%;
}

.info-edi-svg-wrapper {
  margin-bottom: 1rem;
  transform: translateY(-0.625rem);
}

.info-edi-svg {
  width: 100%;
  height: auto;
  max-height: 12.5rem;
  display: block;
  background-color: var(--light-blue-color-bg);
}

.info-edi-first-paragraph h3,
.info-edi-first-paragraph p {
  color: var(--primary-blue-color-text);
  font-weight: bold;
  text-align: justify;
}

.info-edi-svg-wrapper {
  transform: translateY(-2.5rem);
}

.info-custom-button {
  transform: translateY(-2.5rem);
}

/* Implementar servicio */

.required-info-to-implement h3 {
  padding-top: 15%;
  color: var(--primary-blue-color-text);
  font-size: var(--font-size-texto-desktop);
}

.section-cost-process-list-column-title {
  display: flex;
  align-items: center;
  gap: 0.75rem;
}

.required-info-to-implement-main-title {
  display: flex;
  align-items: center;
  gap: 0.75rem;
}

.title-icon {
  width: 4rem;
  height: 4rem;
  flex-shrink: 0;
}

/* Tablet */
@media (max-width: 1199px) {
  /* Seccion general */

  .general-servicio-right-svg {
    transform: translateY(-60%) translateX(-25%);
  }

  .general-servicio-center-content {
    padding: 2rem 0;
    margin-left: -47.5%;
    margin-top: -7.5%;
  }

  .general-servicio-center-content img {
    height: 35%;
    width: 35%;
  }

  /* Seccion info */

  .info-section-service-edi {
    height: 50rem;
  }

  .info-edi-left-side {
    flex: 0 0 33.333333%;
    max-width: 33.333333%;
    padding-left: 1rem;
  }

  .info-edi-right-side {
    flex: 0 0 66.666667%;
    max-width: 66.666667%;
    padding-left: 0.3125rem;
  }

  .info-edi-first-paragraph {
    display: inline-block;
    width: 100%;
    margin-bottom: 2.1%;
    margin-top: 5%;
  }

  .info-edi-first-paragraph h3 {
    font-size: var(--font-size-titulo-tablet);
    line-height: 1.25;
  }

  .info-edi-right-side .info-paragraph-group:not(.info-edi-first-paragraph) {
    clear: both;
    margin-left: -50%;
    padding: 0 1rem;
    padding-top: 5%;
  }

  .info-edi-right-side .info-paragraph-group:not(.info-edi-first-paragraph) h3 {
    font-size: var(--font-size-titulo-tablet);
  }
  .info-edi-right-side .info-paragraph-group:not(.info-edi-first-paragraph) p {
    font-size: var(--font-size-texto-tablet);
  }

  .info-edi-svg {
    max-height: 9.375rem;
  }

  .info-edi-svg-wrapper {
    width: 80%;
    transform: translateY(-10rem) translateX(30%);
  }

  .info-custom-button {
    width: 80%;
    transform: translateY(-10rem) translateX(30%);
  }

  /* Servicios EDI  */

  .services-section h2 {
    font-size: var(--font-size-seccion-tablet);
  }

  .services-section .col-md-6 {
    flex: 0 0 100%;
    max-width: 100%;
    margin-bottom: 3.75rem;
    display: flex;
    justify-content: center;
  }

  .service-description {
    font-size: var(--font-size-texto-desktop);
  }

  .service-box h4 {
    font-size: var(--font-size-titulo-tablet);
  }

  .service-box {
    width: 80%;
  }

  /* Costo y proceso */

  .section-cost-process .col-lg-4,
  .section-cost-process .col-lg-8 {
    flex: 0 0 100%;
    max-width: 100%;
  }
  .section-cost-process-list-column-title {
    font-size: var(--font-size-titulo-tablet);
  }

  .section-cost-process-list-column-left,
  .section-cost-process-list-column-items li {
    font-size: var(--font-size-texto-desktop);
    border: none;
  }

  /* Información para implementar */

  .required-info-to-implement .col-lg-4 {
    flex: 0 0 100%;
    max-width: 100%;
  }

  .required-info-to-implement .col-lg-4:last-child {
    margin-bottom: 0;
  }

  .required-info-to-implement-main-title {
    font-size: var(--font-size-titulo-tablet);
  }

  .required-info-to-implement h3 {
    font-size: var(--font-size-titulo-tablet);
    padding-top: 10%;
  }

  .required-info-to-implement li,
  .required-info-to-implement p {
    font-size: var(--font-size-texto-desktop);
  }
}

/* Tablet mediana */

@media (max-width: 991px) {
  .info-section-service-edi {
    height: 54rem;
  }
}

/* Telefono */
@media (max-width: 767px) {
  /* Seccion general */

  .general-servicio-center-content {
    padding: 2rem 0;
    margin-left: -425%;
    margin-top: -65%;
  }

  .general-servicio-right-svg {
    transform: translateY(-65%) translateX(-12.5%);
  }

  /* Seccion info */

  .info-section-service-edi {
    height: 27.5rem;
  }

  .info-edi-svg-wrapper {
    width: 75%;
    height: 75%;
    transform: translateY(-2.5%) translateX(30%);
  }

  .info-custom-button {
    width: 75%;
    height: 12.5%;
    transform: translateY(-485%) translateX(30%);
  }

  .info-edi-first-paragraph {
    display: inline-block;
    width: 100%;
    margin-bottom: 2%;
    margin-top: 0%;
  }

  .info-edi-first-paragraph h3 {
    font-size: var(--font-size-titulo-info-servicios-cellphone);
    line-height: 1.2;
  }

  .info-edi-right-side .info-paragraph-group:not(.info-edi-first-paragraph) {
    padding: 0 0.3125rem;
    padding-top: 10%;
  }

  .info-edi-right-side .info-paragraph-group:not(.info-edi-first-paragraph) h3 {
    font-size: var(--font-size-titulo-info-servicios-cellphone);
  }
  .info-edi-right-side .info-paragraph-group:not(.info-edi-first-paragraph) p {
    font-size: var(--font-size-texto-info-servicios-cellphone);
  }

  .info-edi-svg {
    max-height: 9.375rem;
  }

  /* Servicios EDI  */

  .services-section h2 {
    font-size: var(--font-size-titulo-cellphone);
    margin-bottom: 10%;
  }

  .service-description {
    font-size: var(--font-size-texto-cellphone);
  }

  .service-box h4 {
    font-size: var(--font-size-titulo-cellphone);
  }

  /* Costo y proceso */

  .section-cost-process-list-column-title {
    font-size: var(--font-size-titulo-cellphone);
  }

  .section-cost-process-list-column-left,
  .section-cost-process-list-column-items li {
    font-size: var(--font-size-texto-cellphone);
  }

  /* Información para implementar */

  .required-info-to-implement-main-title {
    font-size: var(--font-size-titulo-cellphone);
  }

  .required-info-to-implement h3 {
    font-size: var(--font-size-titulo-cellphone);
  }

  .required-info-to-implement li,
  .required-info-to-implement p {
    font-size: var(--font-size-texto-cellphone);
  }

  .required-info-to-implement-main-title {
    gap: 0.25rem;
  }

  .required-info-to-implement-main-title .title-icon {
    width: 3.7rem;
  }
}

@media (max-width: 431px) {
  .info-edi-svg-wrapper {
    width: 75%;
    height: 75%;
    transform: translateY(-1.5rem) translateX(30%);
  }

  .info-custom-button {
    width: 75%;
    height: 10.5%;
    transform: translateY(-15.5rem) translateX(30%);
  }
}

@media (max-width: 391px) {
  /* Info */
  .info-section-service-edi {
    height: 25rem;
  }

  .info-edi-svg-wrapper {
    width: 75%;
    height: 75%;
    transform: translateY(-1.5rem) translateX(30%);
  }

  .info-custom-button {
    width: 75%;
    height: 8.5%;
    transform: translateY(-14.5rem) translateX(30%);
  }

  .info-edi-first-paragraph h3 {
    font-size: var(--font-size-titulo-info-servicios-cellphone-small);
  }

  .info-edi-right-side .info-paragraph-group:not(.info-edi-first-paragraph) {
    padding: 0 0.3125rem;
    padding-top: 10%;
  }

  .info-edi-right-side .info-paragraph-group:not(.info-edi-first-paragraph) h3 {
    font-size: var(--font-size-titulo-info-servicios-cellphone-small);
  }
  .info-edi-right-side .info-paragraph-group:not(.info-edi-first-paragraph) p {
    font-size: var(--font-size-texto-info-servicios-cellphone-small);
  }

  .info-edi-svg {
    max-height: 9.375rem;
  }

  /* Servicios EDI  */

  .services-section h2 {
    font-size: var(--font-size-titulo-cellphone-small);
    margin-bottom: 10%;
  }

  .service-description {
    font-size: var(--font-size-texto-cellphone-small);
  }

  .service-box h4 {
    font-size: var(--font-size-titulo-cellphone-small);
  }

  /* Costo y proceso */

  .section-cost-process-list-column-title {
    font-size: var(--font-size-titulo-cellphone-small);
  }

  .section-cost-process-list-column-left,
  .section-cost-process-list-column-items li {
    font-size: var(--font-size-texto-cellphone-small);
  }

  /* Información para implementar */

  .required-info-to-implement-main-title {
    font-size: var(--font-size-titulo-cellphone-small);
  }

  .required-info-to-implement h3 {
    font-size: var(--font-size-titulo-cellphone-small);
  }

  .required-info-to-implement li,
  .required-info-to-implement p {
    font-size: var(--font-size-texto-cellphone-small);
  }

  .required-info-to-implement-main-title {
    gap: 0.25rem;
  }

  .required-info-to-implement-main-title .title-icon {
    width: 3.7rem;
  }
}

@media (max-width: 345px) {
  .info-edi-svg-wrapper {
    transform: translateY(-1.5rem) translateX(30%);
  }

  .info-custom-button {
    transform: translateY(-16.5rem) translateX(30%);
  }
}
